summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexis2018-11-09 09:53:03 +0100
committerAlexis2018-11-09 09:53:03 +0100
commit44ddd797079e5bcf1be21f2522ad32193279136a (patch)
tree3f0fe705d018474bf0598946fa868382be0b036f
parentd7cc0ddd38f2fab6e10f68f459bda3a28b3ed712 (diff)
downloadaur-44ddd797079e5bcf1be21f2522ad32193279136a.tar.gz
chore: update patch
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD9
-rw-r--r--meson.build.patch21
3 files changed, 20 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 9a43431bdb0..b9386d34da0 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -20,7 +20,7 @@ pkgbase = waybar-git
source = waybar-git::git://github.com/Alexays/Waybar
source = meson.build.patch
sha1sums = SKIP
- sha1sums = 99b9da23d134953c04d6c3094f5ba7a435846a5e
+ sha1sums = 48f912d7765d1ecc851254a282215f2981dd5792
pkgname = waybar-git
diff --git a/PKGBUILD b/PKGBUILD
index 74b23743dbf..6ffc89d1e6d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Alexis Rouillard <contact@arouillard.fr>
pkgname=waybar-git
-pkgver=r128.28c65c64
+pkgver=r235.2d2fb88
pkgrel=1
pkgdesc='Highly customizable wayland bar for sway or wlroots based compositor.'
arch=('x86_64')
@@ -25,7 +25,12 @@ source=("${pkgname}::git://github.com/Alexays/Waybar"
'meson.build.patch')
sha1sums=('SKIP'
- '99b9da23d134953c04d6c3094f5ba7a435846a5e')
+ '48f912d7765d1ecc851254a282215f2981dd5792')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ set -o pipefail git describe --long 2>/dev/null | sed 's/([^-]*-g)/r\1/;s/-/./g' || printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
prepare() {
cd "${srcdir}/${pkgname}"
diff --git a/meson.build.patch b/meson.build.patch
index d33c828330b..9ee08606cf0 100644
--- a/meson.build.patch
+++ b/meson.build.patch
@@ -1,9 +1,12 @@
-7c7,8
-< 'buildtype=release'
----
-> 'buildtype=release',
-> 'default_library=static'
-29c30
-< fmt = dependency('fmt', fallback: ['fmtlib', 'fmt_dep'])
----
-> fmt = subproject('fmtlib').get_variable('fmt_dep')
+--- meson.build 2018-11-08 09:57:21.000000000 +0100
++++ meson.build.patch 2018-11-09 09:47:40.000000000 +0100
+@@ -32,7 +32,7 @@
+
+ thread_dep = dependency('threads')
+ libinput = dependency('libinput')
+-fmt = dependency('fmt', version : ['>=5.2.1'], fallback : ['fmt', 'fmt_dep'])
++fmt = subproject('fmt').get_variable('fmt_dep')
+ wayland_client = dependency('wayland-client')
+ wayland_cursor = dependency('wayland-cursor')
+ wayland_protos = dependency('wayland-protocols')
+ \ No newline at end of file